Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003281KdenliveFile Loadingpublic2014-04-18 16:472014-08-05 23:18
ReporterDaviddh 
Assigned Tovpinon 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionsuspended 
Platform64 bit linux mint 16OS64 bit linux mint 16OS Version64 bit linux min
Product Version0.9.6 
Target VersionFixed in Version0.9.8 
Summary0003281: Keeps crashing before it starts!!
DescriptionI have just updated my kdenlive and it refuses to start. it takes me through the setup parts, choosing basic settings and so on, then just flashes up a screen that says we're sorry kdenlive closed unexpectedly...
Steps To ReproduceTried it several times, it always does it.
Additional InformationApplication: kdenlive (0.9.7)
KDE Platform Version: 4.11.5
Qt Version: 4.8.4
Operating System: Linux 3.11.0-12-generic x86_64
Distribution: Linux Mint 16 Petra

-- Information about the crash:
<In detail, tell us what you were doing when the application crashed.>

-- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f37e047e7c0 (LWP 3115))]

Thread 4 (Thread 0x7f37c2219700 (LWP 3120)):
#0 0x00007f37dc97dc84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1 0x00007f37c47281eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/r600_dri.so
0000002 0x00007f37dc979f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000003 0x00007f37db1a99cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 3 (Thread 0x7f37af555700 (LWP 3125)):
#0 0x00007f37dc97dc84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1 0x00007f37dcdcf3cb in mlt_consumer_rt_frame () from /usr/lib/libmlt.so.6
0000002 0x00007f37bc005f18 in ?? () from /usr/lib/mlt/libmltsdl.so
0000003 0x00007f37dc979f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000004 0x00007f37db1a99cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 2 (Thread 0x7f37b3556700 (LWP 3126)):
[KCrash Handler]
0000005 0x00007f37dd74772b in ?? () from /usr/lib/x86_64-linux-gnu/libQtDBus.so.4
0000006 0x00007f37dd747e0f in ?? () from /usr/lib/x86_64-linux-gnu/libQtDBus.so.4
0000007 0x00007f37dd16ec52 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000008 0x00007f37dd16f41f in QObject::destroyed(QObject*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000009 0x00007f37dd173343 in QObject::~QObject() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000010 0x00007f37df969663 in ?? () from /usr/lib/libkio.so.5
0000011 0x00007f37dd171308 in QObjectPrivate::deleteChildren() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000012 0x00007f37dd1738af in QObject::~QObject() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000013 0x00007f37df9643bc in KBookmarkManager::~KBookmarkManager() () from /usr/lib/libkio.so.5
0000014 0x00007f37df964619 in KBookmarkManager::~KBookmarkManager() () from /usr/lib/libkio.so.5
0000015 0x00007f37df9634ce in ?? () from /usr/lib/libkio.so.5
0000016 0x00007f37db0eb071 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
0000017 0x00007f37db0eb0f5 in exit () from /lib/x86_64-linux-gnu/libc.so.6
0000018 0x00007f37ba7ee709 in movit::compile_shader(std::string const&, unsigned int) () from /usr/lib/x86_64-linux-gnu/libmovit.so.2
0000019 0x00007f37ba80106e in movit::ResourcePool::compile_glsl_program(std::string const&, std::string const&) () from /usr/lib/x86_64-linux-gnu/libmovit.so.2
0000020 0x00007f37ba7f5cf2 in movit::EffectChain::compile_glsl_program(movit::Phase*) () from /usr/lib/x86_64-linux-gnu/libmovit.so.2
0000021 0x00007f37ba7fb86b in movit::EffectChain::construct_phase(movit::Node*, std::map<movit::Node*, movit::Phase*, std::less<movit::Node*>, std::allocator<std::pair<movit::Node* const, movit::Phase*> > >*) () from /usr/lib/x86_64-linux-gnu/libmovit.so.2
0000022 0x00007f37ba7fbe27 in movit::EffectChain::finalize() () from /usr/lib/x86_64-linux-gnu/libmovit.so.2
0000023 0x00007f37baa7aca4 in ?? () from /usr/lib/mlt/libmltopengl.so
0000024 0x00007f37dcdbc40f in mlt_frame_get_image () from /usr/lib/libmlt.so.6
0000025 0x00007f37dcdd18dd in ?? () from /usr/lib/libmlt.so.6
0000026 0x00007f37dcdbc2e7 in mlt_frame_get_image () from /usr/lib/libmlt.so.6
0000027 0x00007f37dcdcf165 in ?? () from /usr/lib/libmlt.so.6
0000028 0x00007f37dc979f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000029 0x00007f37db1a99cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 1 (Thread 0x7f37e047e7c0 (LWP 3115)):
#0 0x00007f37dc97b1f8 in pthread_join () from /lib/x86_64-linux-gnu/libpthread.so.0
#1 0x00007f37bc005857 in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007f37dcdcfe06 in mlt_consumer_stop () from /usr/lib/libmlt.so.6
0000003 0x00007f37dcba0841 in Mlt::Consumer::stop() () from /usr/lib/libmlt++.so.3
0000004 0x00000000006efc49 in _start ()

Report to http://kdenlive.org/mantis [^]
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filestxt file icon kdenlive-20140418-153816.kcrash.txt [^] (4,189 bytes) 2014-04-18 16:47 [Show Content]

- Relationships

-  Notes
(0010002)
diveo (reporter)
2014-04-23 19:11

Same problem over here too. Doesn't even really start on 64bit Kubuntu 13.10, but instead throws the crash handler.
(0010040)
j-b-m (administrator)
2014-05-12 15:55

I think this was caused by Movit requiring the git version of libepoxy.
Dan now updated the build script to use movit and libepoxy from git so if you try using the latest build script, it should fix the problem (or update to libepoxy's current git if you compiled yourself).
(0010185)
vpinon (administrator)
2014-08-05 23:18

latest movit developments were known to cause problems and are on hold for the moment

- Issue History
Date Modified Username Field Change
2014-04-18 16:47 Daviddh New Issue
2014-04-18 16:47 Daviddh File Added: kdenlive-20140418-153816.kcrash.txt
2014-04-23 19:11 diveo Note Added: 0010002
2014-05-12 15:55 j-b-m Note Added: 0010040
2014-05-12 15:55 j-b-m Assigned To => j-b-m
2014-05-12 15:55 j-b-m Status new => feedback
2014-08-05 23:18 vpinon Note Added: 0010185
2014-08-05 23:18 vpinon Status feedback => resolved
2014-08-05 23:18 vpinon Fixed in Version => 0.9.8
2014-08-05 23:18 vpinon Resolution open => suspended
2014-08-05 23:18 vpinon Assigned To j-b-m => vpinon


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker